List webhook deliveries for a specific object.
Returns a paginated list of webhook deliveries for a specific source object (Purchase, Payment, Payout, or BillingTemplateClient).
You must provide both id and source_type query parameters to identify the object whose webhook deliveries you want to retrieve.
Deliveries show the complete history of webhook attempts for the specified object, including successful deliveries, failures, and retries.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringID of the source object (Purchase, Payment, Payout, or BillingTemplateClient) to retrieve webhook deliveries for.
uuidsource_type*stringType of the source object.
"purchase""payment""payout""billing_template_client"OK
application/json- response
results?array<>next?|The next page of pagination results. null if there are no more results.
previous?|The previous page of pagination results. null if there was no previous page.
curl -X GET 'https://gate.reviopay.com/api/v1/webhooks/deliveries/?id=497f6eca-6276-4993-bfeb-53cbbbba6f08&source_type=purchase'{ "next": null, "previous": null, "results": [ { "created_on": "2025-08-19T07:29:25.612314Z", "delivered_on": null, "attempts": 0, "delivery_attempts": [], "url": "https://example.com/webhook", "event": "purchase.created", "payload": { "example": "value" } } ]}